// constants
// will need to adjust Min/MaxDC when the board is put into the enclosure.   Expect reflection problems
#define MIN_DC 0.04
#define MAX_DC 0.35

/** Error-checking macros */
#if defined(__ICCARM__)
#define APP_ERR_TRAP(a)     if(a) while(1);
#else
#define APP_ERR_TRAP(a)     if(a) __BKPT();
#endif


/** Declare the function that will be called **/
void blink_LEDs(void);
void blink_rate_timer_callback(timer_callback_args_t * p_args);
void g_adc0_callback(adc_callback_args_t *p_args);
void adc_user_callback(adc_callback_args_t *p_args);
void adc_init(void);
void adc_start(void);
void adc_timer_start (void);
void adc_timer_callback(timer_callback_args_t * p_args);
void ambient_timer_callback(timer_callback_args_t * p_args);
void play_song(void);
uint16_t get_period(char note);
void g_playnote_timer_callback(timer_callback_args_t * p_args);
void g_notesdur_timer_callback(timer_callback_args_t * p_args);
void g_notepause_timer_callback(timer_callback_args_t * p_args);
void play_song_init(void);
//void g_lowbatt_irq0_callback(external_irq_callback_args_t * p_args);
void read_adc_results(void);

